aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-logilab-common/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2016-11-07 19:20:08 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-12-27 10:05:28 +0200
commit4493fd8487b343ff20f0ffe5bd680fff8ea6679f (patch)
tree878ae1cbf6ef1d4364062d61048086a52bbbcb8a /testing/py-logilab-common/APKBUILD
parentee783aa39f4ad3f71c393bc732682b397f86756b (diff)
downloadaports-4493fd8487b343ff20f0ffe5bd680fff8ea6679f.tar.gz
aports-4493fd8487b343ff20f0ffe5bd680fff8ea6679f.tar.bz2
aports-4493fd8487b343ff20f0ffe5bd680fff8ea6679f.tar.xz
testing/py-logilab-common: upgrade to 1.2.2 and enable py3
Diffstat (limited to 'testing/py-logilab-common/APKBUILD')
-rw-r--r--testing/py-logilab-common/APKBUILD52
1 files changed, 29 insertions, 23 deletions
diff --git a/testing/py-logilab-common/APKBUILD b/testing/py-logilab-common/APKBUILD
index 550c33da90..6d5b9da76f 100644
--- a/testing/py-logilab-common/APKBUILD
+++ b/testing/py-logilab-common/APKBUILD
@@ -2,40 +2,46 @@
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=py-logilab-common
_pkgname=logilab-common
-pkgver=1.2.0
+pkgver=1.2.2
pkgrel=0
pkgdesc="A collection of Python packages and modules used by Logilab projects"
url="http://www.logilab.org/project/logilab-common"
arch="noarch"
license="LGPL2+"
-depends="python2"
-depends_dev=""
-makedepends="python2-dev py-setuptools"
-install=""
-subpackages=""
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/"$_pkgname"-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir="$srcdir"/$_pkgname-$pkgver
build() {
- cd "$_builddir"
+ cd "$builddir"
python2 setup.py build || return 1
+ python3 setup.py build || return 1
}
package() {
- cd "$_builddir"
- python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ mkdir -p "$pkgdir"
+}
+
+_py2() {
+ replaces="$pkgname"
+ _py python2
+}
+
+_py3() {
+ _py python3
+}
+
+_py() {
+ local python="$1"
+ pkgdesc="$pkgdesc (for $python)"
+ depends="$depends $python"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
}
-md5sums="f7b51351b7bfe052746fa04c03253c0b logilab-common-1.2.0.tar.gz"
-sha256sums="d4e5cec3be3a89f06ff05e359a221e69bd1da33cb7096cad648ddcccea8465b7 logilab-common-1.2.0.tar.gz"
-sha512sums="acfca0bcdf5d9161178e039bafa1b0905ac81613db0ea324756d65147f2f3e974ac9fc080c4de8f438478fb3cdb952caf62e4fea9acdf5c54b5699b1801a333d logilab-common-1.2.0.tar.gz"
+md5sums="daa7b20c8374ff5f525882cf67e258c0 logilab-common-1.2.2.tar.gz"
+sha256sums="62b0d88d9276e86b48c7188cea8d91d8ff1744d046ea6323d40359aa53aef708 logilab-common-1.2.2.tar.gz"
+sha512sums="9c2161e8644e50cb3d4418430ca95363363e532b286d39cbdb73a51274bee02e5e8d0632b7564049243f497df96102c90ab0aeff9c91e91f7275407a6cfc56e2 logilab-common-1.2.2.tar.gz"